
// ****************************************************************
// Sketch Esp8266 Http Post Client Modular(Tab)
// created: Jens Fleischer, 2019-09-14
// last mod: Jens Fleischer, 2020-05-20
// For more information visit: https://fipsok.de
// ****************************************************************
// Hardware: Esp8266
// Software: Esp8266 Arduino Core 2.4.2 / 2.5.2 / 2.6.3 / 2.7.1
// Getestet auf: Nodemcu, Wemos D1 Mini Pro
/******************************************************************
  Copyright (c) 2019 Jens Fleischer. All rights reserved.

  This file is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  This file is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
*******************************************************************/
// Diese Version von HttppostClient sollte als Tab eingebunden werden.
// #include <ESP8266WebServer.h> oder #include <ESP8266WiFi.h> muss im Haupttab aufgerufen werden
// Die Funktion "Connect();" muss im Setup eingebunden sein.
// Die Funktion "httpPostClient();" kann nach dem Verbindungsaufbau aufgerufen werden.
/**************************************************************************************/

#include <ESP8266HTTPClient.h>

//#define CORE_2_4_2                                         // Einkommentieren für EspCoreVersion 2.4.2

const char* URL = "http://192.168.178.26/aussenklima";       // trage hier die URL deines ESP... mit Bme280 Sketch ein
bool error;

void httpPostClient() {
  WiFiClient client;
  HTTPClient http;
  DEBUG_F("\n %s meldet, in Zeile: %d -> HttpClient Begin\n", __PRETTY_FUNCTION__, __LINE__);

#ifndef CORE_2_4_2
  http.begin(client, URL);
#else
  http.begin(URL);
#endif

  http.addHeader("Content-Type", "application/json");
  int httpCode = http.POST(handleBme());
  if (httpCode > 0 && httpCode == HTTP_CODE_OK) {
    DEBUG_P("\nHTTP/1.1 " + (String)httpCode);
    DEBUG_P("Antwort: " + http.getString());
    DEBUG_P("Esp Tiefschlafmodus\n");
    ESP.deepSleep(300e6);                                  // 5 Minuten Tiefschlaf
  }
  else {
    DEBUG_F("\n %s meldet, Fehler: %s \n", __PRETTY_FUNCTION__, http.errorToString(httpCode).c_str());
    if (error) {                                             // Falls auch beim zweiten senden keine Antwort kommt wird geschlafen
      DEBUG_F("\n %s meldet, keine Verbindung mit: %s\n\t\t    Der Esp geht in den Energiesparmodus.\n\n", __PRETTY_FUNCTION__, URL);
      ESP.deepSleep(120e6);                                  // 120 Sekunden Tiefschlaf
    }
    error = true;
  }
  http.end();
}
